Bug 219760 - Eclipse doesn't handle simultaneous svn access from commandline
Eclipse doesn't handle simultaneous svn access from commandline
Product: Fedora
Classification: Fedora
Component: eclipse-subclipse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Marcano
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-15 03:15 EST by Austin
Modified: 2008-05-06 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen shot of the error that Eclipse encounters (33.45 KB, image/png)
2006-12-15 03:15 EST, Austin
no flags Details
The other error that was present in the same dialog (38.60 KB, image/png)
2006-12-15 03:18 EST, Austin
no flags Details

  None (edit)
Description Austin 2006-12-15 03:15:04 EST
Description of problem:
When accessing files from the commandline (such as quick ant run / test / change
/ etc), and checking them back into subversion (or even altering svn properties)
causes eclipse to have problems.

Version-Release number of selected component (if applicable):
rpm -qa | grep eclipse

How reproducible:
Frequently. Depending on how it's done as to the results. It's annoying now, and
the solution is to ensure it's all checked in from the command line ('coz
eclipse doesn't think it's a repo anymore...), wipe the project and re-check out
the project.

Steps to Reproduce:
1. Use SVN Repo exploring to checkout a project.
2. Maybe modify a file using eclipse (unsure)
3. Bring up a console in Eclipse's workspace and modify a file, or file's
properties (svn:keywords for example), and (optionally) check the file in.
Actual results:
A refresh (F5) or team->update of the file / directory / project causes Eclipse
to come up with something like:
"update -r HEAD /home/austin.arrowsmith/workspace/<project>/build
    svn: Working copy 'build' is missing or not locked"

Or my favourite:
"svn: '/home/austin.arrowsmith/workspace/<project>/build' is not under version

Expected results:
For it to update it self to what is now in the repo (or file system), like the
_real_ version of Eclipse used to under FC4...

Additional info:
I'll provide some screen shots of some messages that it pops up. Unsure how
useful they'll be, but I'll provide them because they did pop up. Perhaps some
more information should be in the dialogs when these errors occur?
Comment 1 Austin 2006-12-15 03:15:04 EST
Created attachment 143740 [details]
Screen shot of the error that Eclipse encounters
Comment 2 Austin 2006-12-15 03:18:09 EST
Created attachment 143741 [details]
The other error that was present in the same dialog

Not too brilliant in it's helpfulness for tracking down the cause, but at least
you know the problem exists.
Comment 3 Andrew Overholt 2006-12-15 11:28:44 EST
Is this perhaps a Subclipse bug?  Fedora Extras -> eclipse-subclipse

CCing Robert to get his opinion
Comment 4 Ben Konrath 2007-02-06 14:35:24 EST
I think this is either an upstream issue or a problem with subclipse. Moving to
Fedora Extras -> eclipse-subclipse to get Roberts opinion.
Comment 5 Robert Marcano 2007-02-06 15:59:41 EST
I have been unable to repeat those errors with the current eclipse-subclipse
release (1.1.9)

Does the new release solves the bug?
Comment 6 Bug Zapper 2008-04-04 01:15:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 13:11:30 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.